ScenebrewDevelopers
API referenceLibrary

Create Design

POST
/v1/projects/{project_id}/designs

Create a design in the project. Membership ids given here are linked right after. Requires the write scope.

AuthorizationBearer <token>

First-party API key (sbk_live_…), presented as a Bearer token.

In: header

Path Parameters

project_id*Project Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/designs" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "string"  }'
{  "name": "string",  "description": "string",  "tags": [],  "metadata": {},  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "slug": "string",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "thumbnail_url": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "type": "string",  "recipes": [],  "parameters": {},  "recipe_ids": [],  "recipe_count": 0}